# Post Graduate Admission System

<!-- Description -->

This is a semester project developed under the instuctions and requirements of the course instructor at UET Taxila to digitalize the process of admissions at **UET Taxila**.

The **Backend** repository for this App is at **[Backend](https://www.github.com/ikrma47/nodejs-backend "Backend of this project")**

## Table of Content

1. **[Installation](#installation "Installation")**
   - **[One Time Setup](#one-time-setup "setting up the app")**
   - **[Starting the App](#starting-the-app "starting the app")**
2. **[How To Use](#how-to-use "how to use")**
3. **[Features](#features "Features")**
4. **[Report Issue](#issues-and-bugs)**

## Installation

First you need to clone/download the project on your system. Make sure you have **Node LTS** ( Any Version ) should be install on your system.

#### One Time Setup

Open your shell/CMD and navigate to the directory of this project on your system and run the `npm install` command to install the dependencies.

Make a .env file (if missing) in the root directory of the project. The variable in the .env files are

**.env-example**

```env
REACT_APP_API_URL=your_BACKEND_api's_url (http://localhost:3001/api)

REACT_APP_SENTRY_URL=your_SENTRY_URL
```

#### Starting the App

Open your shell/CMD and navigate to the directory of this project on your system and run the `npm start` command every time you want to run the project.

After running the `npm start` command, when the app is opened, The First thing you need to do is to Make Sure Your **Backend Server** is running. Click and follow details on the **[Backend Server](https://www.github.com/ikrma47/nodejs-backend "backend server")** to run the server.

## How To Use

When the both frontend and backend server are functional, follow the below steps

1. Signup with your correct email.
2. login with your email.
3. verify your email **(For first time only)**.

Then you are ready to go ahead Interact with the app.

## Features

- Scalable Structure
- Signup with unique Email and CNIC
- Login with Email/CNIC
- Verification of Email through OTP
- Forgot password
- Admin and Applicant Dashboards

## Issues and bugs

If you encounter any issue or bug kindly reach to me at **Ikrmaahmad47@gmail.com** or simply open an **[Issue at github](https://github.com/ikrma47/react-frontend/issues "open an issue")**.
